/*

  align-justify

  backface-hidden

  btn

  gradient-top-bottom

  heart

  placeholder

  respond-to

  scale

  transform-origin

  transitions

  translateZ

  user-select-none

*/

@mixin align-justify() {
  &:after {
    content: '';
    width: 100%;
    display: inline-block;
  }
  > {
    display: inline-block;
    vertical-align: top;
  }
}
@mixin backface-hidden() {
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
}
@mixin btn($borderColor, $bgColor, $btnHeight, $btnPadding){
  color: $textColorwhite !important;
  font-size: $mainFontSize;
  border-radius: 3px;
  background: $bgColor;
  height: $btnHeight;
  border-top: 1px solid $borderColor;
  line-height: $btnHeight;
  text-align: center;
  padding: 0 $btnPadding;
  -webkit-transition: background 100ms ease-in-out 100ms;
  transition: background 100ms ease-in-out 100ms;
  -webkit-backface-visibility: hidden;
  backface-visibility: hidden;
  display: inline-block;
}
@mixin btns(){
  color: $textColorwhite;
  font-size: $mainFontSize;
  border-radius: 3px;
  background-color: $btn-back-1;
  background-repeat: no-repeat;
  text-shadow: 0 1px 2px rgba(0,0,0,0.09);
  height: 61px;
  border: none;
  border-top: 1px solid $btn-border-1;
  line-height: 61px;
  text-align: center;
  padding: 0 29px;
  -webkit-transition: background 100ms ease-in-out 50ms,border-top-color 100ms ease-in-out 50ms;
  transition: background 100ms ease-in-out 50ms,border-top-color 100ms ease-in-out 50ms;
  @include backface-hidden();
  display: inline-block;
  white-space: nowrap;

  &:hover{
    background-color: $btn-back-hover-1;
    border-top-color: $btn-border-hover-1;
    text-decoration: none;
  }

  &.btns_2 {
    background-color: $btn-back-2;
    border-top-color: $btn-border-2;

    &:hover{
      background-color: $btn-back-hover-2;
      border-top-color: $btn-border-hover-2;

    }
  }
  &.btns_3 {
    background-color: $btn-back-3;
    border-top-color: $btn-border-3;

    &:hover{
      background-color: $btn-back-hover-3;
      border-top-color: $btn-border-hover-3;
    }
  }
  &.btns_4 {
    background-color: $btn-back-4;
    border-top-color: $btn-border-4;
    &:hover{
      background-color: $btn-back-hover-4;
      border-top-color: $btn-border-hover-4;
    }
  }
  &.btns_5 {
    background-color: $btn-back-5;
    border-top-color: $btn-border-5;
    &:hover {
      background-color: $btn-back-hover-5;
      border-top-color: $btn-border-hover-5;
    }
  }
  &.btns_6 {
    background-color: $btn-back-6;
    border-top-color: $btn-border-6;
    &:hover {
      background-color: $btn-back-hover-6;
      border-top-color: $btn-border-hover-6;
    }
  }
  &.btns_7 {
    background-color: $btn-back-6;
    border-top-color: $btn-border-6;
    &:hover {
      background-color: $btn-back-hover-6;
      border-top-color: $btn-border-hover-6;
    }
  }
  &.btns_share{
    background-image: url("../img/share.png");
    background-position: 18px 9px;
    text-align: left;
    height: 40px;
    width: 167px;
    line-height: 40px;
    font-size: 14px;
    padding-left: 50px;
  }
  &.btns_duplicate{
    background-image: url("../img/duplicate-icon.png");
    background-position: 48px 14px;
    text-align: left;
    font-size: 14px;
    padding-left: 79px;
  }
  &.btns_review{
    background-image: url("../img/review-star.png");
    background-position: 46px 16px;
    text-align: left;
    height: 51px;
    width: 200px;
    line-height: 51px;
    font-size: 14px;
    padding-left: 70px;
  }
  &.btns_my-events{
    background-image: url("../img/events-icon.png");
    background-position: 50px 17px;
    text-align: left;
    height: 61px;
    width: 200px;
    line-height: 61px;
    font-size: 14px;
    padding-left: 81px;
  }
  &.btns_facebook{
    background-image: url("../img/facebook-ico.png");
    background-position: 18px 9px;
    text-align: left;
    height: 40px;
    width: 188px;
    line-height: 40px;
    font-size: 14px;
    padding-left: 45px;
  }
  &.btns_verefeid{
    background-image: url("../img/verefeid.png");
    background-position: 18px 12px;
    text-align: left;
    height: 50px;
    width: 124px;
    line-height: 50px;
    font-size: 14px;
    padding-left: 45px;
  }
  &.btns_book {
    background-image: url("../img/btn_book.png");
    background-position: 40px 14px;
    text-align: left;
    height: 61px;
    line-height: 58px;
    font-size: 14px;
    padding-left: 87px;
  }
  &.btns_settings{
    background-image: url("../img/settings-icon.png");
    background-position: 40px 19px;
    text-align: left;
    height: 61px;
    line-height: 58px;
    font-size: 14px;
    padding-left: 65px;
  }
  &.btns_message{
    background-image: url("../img/message-icon.png");
    background-position: 48px 19px;
    text-align: left;
    height: 61px;
    line-height: 58px;
    width: 243px;
    font-size: 14px;
    padding-left: 77px;
  }
  &.btns_check {
    background-image: url("../img/btns_check.png");
    background-position: 22px 16px;
    text-align: left;
    height: 61px;
    line-height: 58px;
    font-size: 14px;
    padding-left: 62px;
  }
  &.btns_contact {
    background-image: url("../img/btns_contact.png");
    background-position: 34px 19px;
    text-align: left;
    height: 61px;
    line-height: 58px;
    font-size: 14px;
    padding-left: 77px;
  }
  &.btns_previews {
    background-image: url("../img/preview-icon.png");
    background-position: 34px 15px;
    text-align: left;
    height: 51px;
    line-height: 51px;
    font-size: 14px;
    padding-left: 77px;
  }
  &.btns_book-tickets {
    background-image: url("../img/btns_book-tickets.png");
    background-position: 30px 13px;
    text-align: left;
    height: 60px;
    line-height: 58px;
    font-size: 14px;
    padding: 0 51px 0 77px;
  }
  &.btns_reply{
    background-image: url("../img/btns_reply.png");
    background-position: 20px 15px;
    text-align: left;
    height: 51px;
    line-height: 51px;
    font-size: 14px;
    padding-left: 63px;
    padding-right: 42px;
  }
  &.btns_send{
    background-image: url("../img/send-reply.png");
    background-position: 20px 15px;
    text-align: left;
    height: 51px;
    line-height: 51px;
    font-size: 14px;
    padding-left: 63px;
    padding-right: 42px;
  }
  &.btns_add{
    background-image: url("../img/btn_add.png");
    background-position: 29px 15px;
    text-align: left;
    height: 51px;
    line-height: 51px;
    font-size: 14px;
    padding: 0 46px 0 71px;
  }
}
@mixin gradient-top-bottom( $startColor,$finishColor) {
  background: -webkit-gradient(linear, left top, left bottom, color-stop(0%,$startColor), color-stop(100%,$finishColor));
  background: -webkit-linear-gradient(top,  $startColor 0%,$finishColor 100%);
  background: linear-gradient(to bottom,  $startColor 0%,$finishColor 100%);
}
@mixin gradient-vertical2($start-color: #555, $end-color: #333, $start-percent: 0%, $end-percent: 100%) {
  background-image: -webkit-linear-gradient(top, $start-color $start-percent, $end-color $end-percent);  // Safari 5.1-6, Chrome 10+
  background-image: -o-linear-gradient(top, $start-color $start-percent, $end-color $end-percent);  // Opera 12
  background-image: linear-gradient(to bottom, $start-color $start-percent, $end-color $end-percent); // Standard, IE10, Firefox 16+, Opera 12.10+, Safari 7+, Chrome 26+
  background-repeat: repeat-x;
  filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#{ie-hex-str($start-color)}', endColorstr='#{ie-hex-str($end-color)}', GradientType=0); // IE9 and down
}
@mixin transition($transition...) {
  -webkit-transition: $transition;
  -o-transition: $transition;
  transition: $transition;
}
@mixin heart {
  position: relative;
  width: 20px;
  height: 17px;

  &:before,
  &:after {
    position: absolute;
    content: "";
    left: 8px;
    top: 0;
    width: 8px;
    height: 14px;
    background: $text-light;
    -moz-border-radius: 50px 50px 0 0;
    border-radius: 50px 50px 0 0;
    -webkit-transform: rotate(-45deg);
    transform: rotate(-45deg);
    -webkit-transform-origin: 0 100%;
    transform-origin: 0 100%;
  }
  &:after {
    left: 0;
    -webkit-transform: rotate(45deg);
    transform: rotate(45deg);
    -webkit-transform-origin: 100% 100%;
    transform-origin :100% 100%;
  }
}
@mixin inputs($height, $width, $paddings){
  border: 1px solid #ccc;
  box-shadow: inset 0 2px 4px #f3f3f3;
  color: $text-main-placeholder;
  height: $height;
  width: $width;
  font-size: $mainFontSize;
  padding: 0 $paddings;
  border-radius: 3px;

  &:focus {
    color: $text-links-blue;
    border-color: $text-links-blue;

    &+label {
      color: $text-links-blue;
    }
  }
  @include placeholder2();
}
@mixin placeholder2($color: #999) {
  ::-moz-placeholder {
    color: $color;
    opacity: 1;
  }
  :-ms-input-placeholder { color: $color; }
  ::-webkit-input-placeholder  { color: $color; }
}
@mixin respond-to($media) {
  @if $media == tablet {
    @media only screen and (min-width: 768px) { @content; }
  }
  @else if $media == tablet-landscape {
    @media only screen and (min-width: 992px) { @content; }
  }
  @else if $media == desctop {
    @media only screen and (min-width: 1200px) { @content; }
  }
  @else if $media == desctop-wide {
    @media only screen and (min-width: $screen-max) { @content; }
  }
}
@mixin rotate2($degrees) {
  -webkit-transform: rotate($degrees);
  -ms-transform: rotate($degrees); // IE9 only
  -o-transform: rotate($degrees);
  transform: rotate($degrees);
}
@mixin scale( $scale: 1) {
  -webkit-transform: scale($scale);
  transform: scale($scale);
}
@mixin transform-origin( $rule: center center) {
  -webkit-transform-origin: $rule;
  transform-origin: $rule;
}
@mixin transitions( $rule: opacity, $duration: 300ms, $easing: ease-in-out, $pause: 0ms ) {
  -webkit-transition: $rule $duration $easing $pause;
  transition: $rule $duration $easing $pause;
}
@mixin translateZ( $axisZ: 0) {
  -webkit-transform: translatez($axisZ);
  transform: translatez($axisZ);
}
@mixin user-select-none($media) {
  -webkit-user-select: $media;
  -moz-user-select: $media;
  -ms-user-select: $media;
  user-select: $media;
}


